Bug 425862 - FC8 Live CD i686--Installation to HD fails with an unhandled exception
FC8 Live CD i686--Installation to HD fails with an unhandled exception
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
8
i686 Linux
low Severity urgent
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-16 15:56 EST by Sivaram Nayudu
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-16 12:08:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
One more unhandledException :: anaconda None exception report (27.32 KB, text/plain)
2008-02-16 11:13 EST, Avelino Rego
no flags Details

  None (edit)
Description Sivaram Nayudu 2007-12-16 15:56:15 EST
Booted from the FC8 Live CD i686 and chose the installation to HD. It finished
the copying of the image to HD and reported doing post-installation file system
changes and during the step, fails with an unhandled exception. This is
reprducible as it failed for the 3-4 times so far.

Exception report data is below:

anaconda None exception report
Traceback (most recent call first):
  File "/usr/lib/python2.5/os.py", line 172, in makedirs
    mkdir(name, mode)
  File "/usr/lib/anaconda/fsset.py", line 1716, in makeLVMNodes
    os.makedirs(rootdir)
  File "/usr/lib/anaconda/fsset.py", line 1684, in mountFilesystems
    self.makeLVMNodes(anaconda.rootPath)
  File "/usr/lib/anaconda/livecd.py", line 208, in _doFilesystemMangling
    anaconda.id.fsset.mountFilesystems(anaconda)
  File "/usr/lib/anaconda/livecd.py", line 306, in doPostInstall
    self._doFilesystemMangling(anaconda)
  File "/usr/lib/anaconda/backend.py", line 195, in doPostInstall
    anaconda.backend.doPostInstall(anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 203, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 126, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1048, in nextClicked
    self.anaconda.dispatch.gotoNext()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 67, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 1075, in handleRenderCallback
    self.currentWindow.renderCallback()
OSError: [Errno 28] No space left on device: '/mnt/sysimage/dev/VolGroup00'

Local variables in innermost frame:
tail: VolGroup00
EEXIST: 17
head: /mnt/sysimage/dev
name: /mnt/sysimage/dev/VolGroup00
mode: 511


Anaconda instance, containing members:
rootPath: /mnt/sysimage
rescue_mount: True
intf: InstallInterface instance, containing members:
  intf.ppw: InstallProgressWindow instance, containing members:
    intf.ppw.pixmaps: [progress_first.png]
    intf.ppw.intf: Already dumped
    intf.ppw.adbox: <gtk.EventBox object at 0x9a24edc (GtkEventBox at 0x984d470)>
    intf.ppw._updateChange: 0.01
    intf.ppw.adpix: <gtk.Image object at 0x9a24eb4 (GtkImage at 0x9ac4468)>
    intf.ppw._showPercentage: False
    intf.ppw.infolabel: <WrappingLabel object at 0x9a24f2c (GtkLabel at 0x99d2e20)>
    intf.ppw.ics: InstallControlState instance, containing members:
      intf.ppw.ics.prevEnabled: False
      intf.ppw.ics.cw: InstallControlWindow instance, containing members:
        intf.ppw.ics.cw.handle: 1062
        intf.ppw.ics.cw.mainxml: <glade.XML object at 0x953789c (PyGladeXML at
0x95f3c68)>
        intf.ppw.ics.cw.reloadRcQueued: 0
        intf.ppw.ics.cw.currentWindow: Already dumped
        intf.ppw.ics.cw.window: <gtk.Window object at 0x95377d4 (GtkWindow at
0x9600990)>
        intf.ppw.ics.cw.installFrame: <gtk.Frame object at 0x9537874 (GtkFrame
at 0x958dcf0)>
        intf.ppw.ics.cw.anaconda: Already dumped
        intf.ppw.ics.cw.rnv: ReleaseNotesViewer instance, containing members:
          intf.ppw.ics.cw.rnv.textWin: <gtk.Window object at 0x95377fc
(GtkWindow at 0x9600830)>
          intf.ppw.ics.cw.rnv.vue: <gtkhtml2.View object at 0x953775c (HtmlView
at 0x95da070)>
          intf.ppw.ics.cw.rnv.currentURI: None
          intf.ppw.ics.cw.rnv.topDir: None
          intf.ppw.ics.cw.rnv.doc: <gtkhtml2.Document object at 0x95376e4
(HtmlDocument at 0x95d1e90)>
          intf.ppw.ics.cw.rnv.height: 600
          intf.ppw.ics.cw.rnv.width: 800
          intf.ppw.ics.cw.rnv.opener: FancyURLopener instance, containing members:
            intf.ppw.ics.cw.rnv.opener._URLopener__unlink: <built-in function
unlink>
            intf.ppw.ics.cw.rnv.opener._URLopener__tempfiles: []
            intf.ppw.ics.cw.rnv.opener.cert_file: None
            intf.ppw.ics.cw.rnv.opener.addheaders: [('User-Agent',
'Python-urllib/1.17')]
            intf.ppw.ics.cw.rnv.opener.tries: 0
            intf.ppw.ics.cw.rnv.opener.ftpcache: {}
            intf.ppw.ics.cw.rnv.opener.tempcache: None
            intf.ppw.ics.cw.rnv.opener.auth_cache: {}
            intf.ppw.ics.cw.rnv.opener.key_file: None
            intf.ppw.ics.cw.rnv.opener.proxies: {}
            intf.ppw.ics.cw.rnv.opener.maxtries: 10
          intf.ppw.ics.cw.rnv.anaconda: Already dumped
          intf.ppw.ics.cw.rnv.htmlheader: <html><head><meta
http-equiv="Content-Type" content="text/html; charset=utf-8"></head><body
bgcolor="white"><pre>
          intf.ppw.ics.cw.rnv.htmlfooter: </pre></body></html>
          intf.ppw.ics.cw.rnv.is_showing: False
      intf.ppw.ics.nextEnabled: False
      intf.ppw.ics.grabNext: True
      intf.ppw.ics.title: Installing Packages
    intf.ppw.progress: <gtk.ProgressBar object at 0x9a24f04 (GtkProgressBar at
0x99d2da0)>
  intf.icw: Already dumped
  intf.runres: 800x600
  intf.anaconda: Already dumped
rescue: False
updateSrc: None
methodstr: livecd:///dev/mapper/live-osimg-min
dispatch: <dispatch.Dispatcher object at 0x953562c>
method: LiveCDImageMethod instance, containing members:
  method.intf: Already dumped
  method.tree: None
  method.rootPath: /mnt/sysimage
  method.osimg: //dev/mapper/live-osimg-min
isKickstart: False
id: InstallData instance, containing members:
  id.firewall: Firewall instance, containing members:
    id.firewall.portlist: [22:tcp]
    id.firewall.trustdevs: []
    id.firewall.enabled: 1
  id.anaconda: Already dumped
  id.instProgress: None
  id.upgradeRoot: None
  id.xsetup: XSetup instance, containing members:
    id.xsetup.skipx: 0
    id.xsetup.xserver: XServer instance, containing members:
      id.xsetup.xserver.videohw: primary: 0
vidCards: [<rhpxl.videocard.VideoCard instance at 0x93d1cac>]
Primary Video Card Info:
device: None
driver : nv
descr : nVidia Corporation NV5M64 [RIVA TNT2 Model 64/Model 64 Pro]
vidRam: None

      id.xsetup.xserver.serverflags: [vt6, -config, /tmp/XConfig.test,
-extension, Composite, -s, 1440, -dpms, -v, -ac, -nolisten, tcp]
      id.xsetup.xserver.resolution: 800x600
      id.xsetup.xserver.root: /
      id.xsetup.xserver.hwstate: XF86HardwareState instance, containing members:
        id.xsetup.xserver.hwstate.videocard_PCIFn: None
        id.xsetup.xserver.hwstate.monitor: monName: None
monID: Unprobed Monitor
monHoriz: None
monVert: None
physicalWidth: 0
physicalHeight: 0

        id.xsetup.xserver.hwstate.config_resolutions: []
        id.xsetup.xserver.hwstate.videocard_name: nVidia Corporation NV5M64
[RIVA TNT2 Model 64/Model 64 Pro]
        id.xsetup.xserver.hwstate.monitor_name: Unknown monitor
        id.xsetup.xserver.hwstate.video_ram: 0
        id.xsetup.xserver.hwstate.videocard: Already dumped
        id.xsetup.xserver.hwstate.videocard_driver: nv
        id.xsetup.xserver.hwstate.videocard_options: []
        id.xsetup.xserver.hwstate.all_resolutions: [640x480, 800x480, 800x512,
800x600, 848x480, 854x480, 1024x600, 1024x768, 1152x768, 1152x864, 1200x900,
1280x720, 1280x800, 1280x854, 1280x960, 1280x1024, 1360x768, 1400x900,
1400x1050, 1440x900, 1600x1024, 1600x1200, 1680x1050, 1920x1080, 1920x1200,
1920x1440, 2048x1536, 2560x1600]
        id.xsetup.xserver.hwstate.hsync: 31.5-37.9
        id.xsetup.xserver.hwstate.vsync: 50-70
        id.xsetup.xserver.hwstate.probed_video_ram: 0
        id.xsetup.xserver.hwstate.videocard_PCIBus: None
        id.xsetup.xserver.hwstate.colordepth: 24
        id.xsetup.xserver.hwstate.videocard_PCIDev: None
        id.xsetup.xserver.hwstate.resolution: 800x600
        id.xsetup.xserver.hwstate.dri_enabled: 0
        id.xsetup.xserver.hwstate.xconfig: None
      id.xsetup.xserver.monitorhw: Already dumped
      id.xsetup.xserver.keyboard: Keyboard instance, containing members:
        id.xsetup.xserver.keyboard.info: {'KEYBOARDTYPE': pc, 'KEYTABLE': us}
        id.xsetup.xserver.keyboard.type: PC
        id.xsetup.xserver.keyboard.beenset: 1
        id.xsetup.xserver.keyboard._mods: KeyboardModels instance, containing
members:
      id.xsetup.xserver.mousehw: FULLNAME="Generic - 3 Button Mouse (PS/2)"
MOUSETYPE="imps2"
XEMU3="no"
XMOUSETYPE="IMPS/2"

      id.xsetup.xserver.defaultdepth: 24
      id.xsetup.xserver.logfile: /dev/null
      id.xsetup.xserver.config: None
      id.xsetup.xserver.display: :9
    id.xsetup.anaconda: Already dumped
  id.keyboard: Already dumped
  id.timezone: Timezone instance, containing members:
    id.timezone.utc: True
    id.timezone.arc: 0
    id.timezone.tz: America/Los_Angeles
  id.mouse: Already dumped
  id.zfcp: ZFCP instance, containing members:
    id.zfcp.hasReadConfig: True
    id.zfcp.fcpdevs: []
  id.upgrade: None
  id.monitor: Already dumped
  id.iscsi: <iscsi.iscsi object at 0x95351ac>
  id.methodstr: livecd:///dev/mapper/live-osimg-min
  id.fsset: FileSystemSet instance, containing members:
    id.fsset.messageWindow: <bound method InstallInterface.messageWindow of
<gui.InstallInterface instance at 0x93e516c>>
    id.fsset.volumesCreated: 1
    id.fsset.progressWindow: <bound method InstallInterface.progressWindow of
<gui.InstallInterface instance at 0x93e516c>>
    id.fsset.migratedfs: 1
    id.fsset.waitWindow: <bound method InstallInterface.waitWindow of
<gui.InstallInterface instance at 0x93e516c>>
    id.fsset.entries: [fsentry -- device: VolGroup00/LogVol00   mountpoint: /
  fsystem: ext3 format: 1
  ismounted: 1  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: sda1   mountpoint: /boot
  fsystem: ext3 format: 1
  ismounted: 1  options: 'defaults'
  bytesPerInode: 4096 label: /boot

, fsentry -- device: shm   mountpoint: /dev/shm
  fsystem: tmpfs format: 0
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: devpts   mountpoint: /dev/pts
  fsystem: devpts format: 0
  ismounted: 0  options: 'gid=5,mode=620'
  bytesPerInode: 4096 label: None

, fsentry -- device: sys   mountpoint: /sys
  fsystem: sysfs format: 0
  ismounted: 1  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: proc   mountpoint: /proc
  fsystem: proc format: 0
  ismounted: 1  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: VolGroup00   mountpoint: None
  fsystem: volume group (LVM) format: 1
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: sda2   mountpoint: None
  fsystem: physical volume (LVM) format: 1
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: VolGroup00/LogVol01   mountpoint: swap
  fsystem: swap format: 1
  ismounted: 1  options: 'defaults'
  bytesPerInode: 4096 label: None

]
    id.fsset.mountcount: 8
  id.desktop: Desktop instance, containing members:
    id.desktop.info: {}
    id.desktop.runlevel: 3
  id.rootParts: None
  id.x_already_set: 1
  id.backend: LiveCDCopyBackend instance, containing members:
    id.backend.modeText: 
    id.backend.instPath: /mnt/sysimage
    id.backend.supportsPackageSelection: False
    id.backend.skipFormatRoot: True
    id.backend.instLog: None
    id.backend.supportsUpgrades: False
    id.backend.method: Already dumped
  id.firstboot: 0
  id.diskset: DiskSet instance, containing members:
    id.diskset.initializedDisks: {'sda': True}
    id.diskset.disks: {'sda': <PedDisk object at 0x924fc38>}
    id.diskset.anaconda: Already dumped
    id.diskset.onlyPrimary: None
  id.users: None
  id.displayMode: g
  id.auth: --enableshadow --enablemd5
  id.ksdata: None
  id.bootloader: x86BootloaderInfo instance, containing members:
    id.bootloader.doUpgradeOnly: 0
    id.bootloader.above1024: 0
    id.bootloader.defaultDevice: mbr
    id.bootloader.pure: None
    id.bootloader.serialDevice: None
    id.bootloader.args: KernelArguments instance, containing members:
      id.bootloader.args.args: 
    id.bootloader.kernelLocation: /boot/
    id.bootloader.device: sda
    id.bootloader.configfile: /etc/lilo.conf
    id.bootloader.kickstart: 0
    id.bootloader.serialOptions: None
    id.bootloader.useGrubVal: 1
    id.bootloader._drivelist: [sda]
    id.bootloader.images: BootImages instance, containing members:
      id.bootloader.images.default: VolGroup00/LogVol00
      id.bootloader.images.images: {'VolGroup00/LogVol00': ('linux', 'Fedora',
'ext3')}
    id.bootloader.serial: 0
    id.bootloader.password: None
    id.bootloader.forceLBA32: 0
  id.extraModules: []
  id.network: Network instance, containing members:
    id.network.hostname: Evo-w4000
    id.network.overrideDHCPhostname: 1
    id.network.netdevices: {'eth0': DEVICE=eth0
BOOTPROTO=dhcp
HWADDR=00:08:02:B6:79:9F
ONBOOT=yes

}
    id.network.primaryNS: None
    id.network.firstnetdevice: eth0
    id.network.isConfigured: 0
    id.network.domains: []
    id.network.secondaryNS: None
    id.network.gateway: None
  id.instClass: <installclass.DefaultInstall object at 0x91132ec>
  id.floppyDevice: fd0
  id.partitions: Partitions instance, containing members:
    id.partitions.useFdisk: 0
    id.partitions.useAutopartitioning: 1
    id.partitions.autoClearPartType: 0
    id.partitions.nextUniqueID: 11
    id.partitions.reinitializeDisks: 0
    id.partitions.autoClearPartDrives: [sda]
    id.partitions.zeroMbr: 0
    id.partitions.isKickstart: 0
    id.partitions.requests: [New Part Request -- mountpoint: /boot uniqueID: 9
  type: ext3  format: 1 
  device: sda1 drive: ['sda']  primary: None
  size: 200  grow: 0  maxsize: None
  start: None  end: None  migrate: None    fslabel: None  origfstype: None
  bytesPerInode: 4096  options: 'None'
, LV Request -- mountpoint: /  uniqueID: 8
  type: ext3  format: 1
  size: 36896  lvname: LogVol00  volgroup: 7
  bytesPerInode: 4096  options: 'None'
, VG Request -- name: VolGroup00  uniqueID: 7
  format: 1 pesize: 32768  
  physvols: [6]
, New Part Request -- mountpoint: None uniqueID: 6
  type: physical volume (LVM)  format: 1 
  device: sda2 drive: ['sda']  primary: None
  size: 0  grow: 1  maxsize: None
  start: None  end: None  migrate: None    fslabel: None  origfstype: None
  bytesPerInode: 4096  options: 'None'
, LV Request -- mountpoint: None  uniqueID: 10
  type: swap  format: 1
  size: 1024  lvname: LogVol01  volgroup: 7
  bytesPerInode: 4096  options: 'None'
]
    id.partitions.autoPartitionRequests: [New Part Request -- mountpoint: None
uniqueID: None
  type: physical volume (LVM)  format: 1 
  device: None drive: None  primary: None
  size: 0  grow: 1  maxsize: None
  start: None  end: None  migrate: None    fslabel: None  origfstype: None
  bytesPerInode: 4096  options: 'None'
, VG Request -- name: lvm  uniqueID: None
  format: 1 pesize: 32768  
  physvols: []
, LV Request -- mountpoint: /  uniqueID: None
  type: ext3  format: 1
  size: 1024  lvname: LogVol00  volgroup: lvm
  bytesPerInode: 4096  options: 'None'
, New Part Request -- mountpoint: /boot uniqueID: None
  type: ext3  format: 1 
  device: None drive: None  primary: None
  size: 200  grow: 0  maxsize: None
  start: None  end: None  migrate: None    fslabel: None  origfstype: None
  bytesPerInode: 4096  options: 'None'
, LV Request -- mountpoint: None  uniqueID: None
  type: swap  format: 1
  size: 512  lvname: LogVol01  volgroup: lvm
  bytesPerInode: 4096  options: 'None'
]
    id.partitions.deletes: [lvname: LogVol00  vgname: VolGroup00
, drive: sda  start: 63  end: 401624
, vgname: VolGroup00
, lvname: LogVol01  vgname: VolGroup00
, drive: sda  start: 401625  end: 78156224
]
  id.isHeadless: 0
  id.videocard: Already dumped
  id.instLanguage: Language instance, containing members:
    id.instLanguage.targetLang: None
    id.instLanguage.default: en_US.UTF-8
    id.instLanguage.displayMode: g
    id.instLanguage.current: en_US.UTF-8
  id.security: Security instance, containing members:
    id.security.selinux: 1
  id.upgradeSwapInfo: None
dir: 1
backend: Already dumped


/tmp/anaconda.log:
20:42:15 INFO    : using only installclass _Fedora
20:42:16 INFO    : anaconda called with cmdline = ['/usr/sbin/anaconda',
'--method=livecd:///dev/mapper/live-osimg-min', '--lang', 'en_US.UTF-8']
20:42:16 INFO    : Display mode = g
20:42:16 INFO    : Method = livecd:///dev/mapper/live-osimg-min
20:42:16 INFO    : anaconda floppy device fd0
20:42:19 INFO    : Starting graphical installation...
20:42:22 INFO    : Detected 512M of memory
20:42:22 INFO    : Swap attempt of 512M to 1024M
20:42:22 WARNING : step installtype does not exist
20:42:22 WARNING : step complete does not exist
20:42:22 INFO    : moving (1) to step welcome
20:42:28 INFO    : moving (1) to step keyboard
20:42:31 INFO    : moving (1) to step partitionobjinit
20:42:31 INFO    : no /tmp/fcpconfig; not configuring zfcp
20:42:31 DEBUG   : starting mpaths
20:42:31 DEBUG   : self.driveList(): ['sda']
20:42:31 DEBUG   : DiskSet.skippedDisks: []
20:42:31 DEBUG   : DiskSet.skippedDisks: []
20:42:31 DEBUG   : starting all mpaths on drives ['sda']
20:42:31 DEBUG   : scanning for multipath on drives ['sda']
20:42:31 WARNING : /usr/lib/anaconda/dmraid.py:247: UserWarning: device node
created in /tmp
  isys.makeDevInode(d, dp)

20:42:32 DEBUG   : loading bdevid modules from:
'/tmp/updates/bdevid/:/mnt/source/RHupdates/bdevid/:/lib/bdevid/:/usr/lib/bdevid/'
20:42:32 DEBUG   : mpaths: []
20:42:32 DEBUG   : done starting mpaths.  Drivelist: ['sda']
20:42:32 DEBUG   : starting dmraids
20:42:32 DEBUG   : self.driveList(): ['sda']
20:42:32 DEBUG   : DiskSet.skippedDisks: []
20:42:32 DEBUG   : DiskSet.skippedDisks: []
20:42:32 DEBUG   : starting all dmraids on drives ['sda']
20:42:32 DEBUG   : scanning for dmraid on drives ['sda']
20:42:32 WARNING : /usr/lib/anaconda/dmraid.py:129: UserWarning: device node
created in /tmp
  isys.makeDevInode(d, dp)

20:42:32 DEBUG   : done starting dmraids.  Drivelist: ['sda']
20:42:32 DEBUG   : adding drive sda to disk list
20:42:32 WARNING : /usr/lib/anaconda/isys.py:873: UserWarning: device node
created in /tmp
  makeDevInode(device, "/tmp/disk")

20:42:32 INFO    : lv VolGroup00/LogVol00, attr is -wi---
20:42:32 INFO    : lv VolGroup00/LogVol01, attr is -wi---
20:42:34 INFO    : lv is VolGroup00/LogVol00, size of 36896
20:42:34 INFO    : lv is VolGroup00/LogVol01, size of 1024
20:42:34 WARNING : /usr/lib/anaconda/raid.py:68: UserWarning: device node
created in /tmp
  isys.makeDevInode(d, "/tmp/" + d)

20:42:36 INFO    : pv is /dev/sda2 in vg VolGroup00, size is 37966
20:42:36 INFO    : vg VolGroup00, size is 37952, pesize is 32768
20:42:36 INFO    : lv is VolGroup00/LogVol00, size of 36896
20:42:36 INFO    : lv is VolGroup00/LogVol01, size of 1024
20:42:36 INFO    : mdadm -E /dev/VolGroup00/LogVol00
20:42:36 INFO    : mdadm -E /dev/VolGroup00/LogVol01
20:42:36 INFO    : sr0 is a protected partition
20:42:36 INFO    : no request, probably a removable drive
20:42:36 INFO    : moving (1) to step parttype
20:42:48 INFO    : moving (1) to step autopartitionexecute
20:42:48 DEBUG   : adding drive sda to disk list
20:42:48 DEBUG   : used space is 1536
20:42:48 DEBUG   : actual space is 37920
20:42:48 DEBUG   : used space is 25792
20:42:48 DEBUG   : actual space is 37920
20:42:48 DEBUG   : used space is 26304
20:42:48 DEBUG   : actual space is 37920
20:42:48 DEBUG   : used space is 37920
20:42:48 DEBUG   : actual space is 37920
20:42:48 DEBUG   : used space is 37920
20:42:48 DEBUG   : actual space is 37920
20:42:48 DEBUG   : used space is 37920
20:42:48 DEBUG   : actual space is 37920
20:42:48 INFO    : moving (1) to step partition
20:43:07 INFO    : moving (1) to step partitiondone
20:43:07 INFO    : moving (1) to step bootloadersetup
20:43:07 INFO    : moving (1) to step bootloader
20:43:22 INFO    : moving (1) to step networkdevicecheck
20:43:22 INFO    : moving (1) to step network
20:43:24 INFO    : moving (-1) to step networkdevicecheck
20:43:24 INFO    : moving (-1) to step bootloader
20:43:26 INFO    : moving (1) to step networkdevicecheck
20:43:26 INFO    : moving (1) to step network
20:43:38 INFO    : moving (1) to step timezone
20:43:46 INFO    : moving (1) to step accounts
20:43:53 INFO    : moving (1) to step reposetup
20:43:53 INFO    : moving (1) to step basepkgsel
20:43:53 INFO    : moving (1) to step postselection
20:43:53 INFO    : moving (1) to step confirminstall
20:43:55 INFO    : moving (1) to step install
20:43:55 INFO    : moving (1) to step enablefilesystems
20:43:56 INFO    : lv is VolGroup00/LogVol00, size of 36896
20:43:56 INFO    : lv is VolGroup00/LogVol01, size of 1024
20:43:56 INFO    : removing lv LogVol00
20:43:56 INFO    : removing lv LogVol01
20:43:59 INFO    : pv is /dev/sda2 in vg VolGroup00, size is 37966
20:43:59 INFO    : vgremove -v VolGroup00
20:43:59 INFO    : pvremove -ff -y -v /dev/sda2
20:43:59 INFO    : pvcreate -ff -y -v /dev/sda2
20:43:59 INFO    : disk.commit() for /dev/sda
20:43:59 DEBUG   : adding drive sda to disk list
20:44:01 INFO    : formatting swap as swap
20:44:01 INFO    : formatting /boot as ext3
20:44:01 WARNING : /usr/lib/anaconda/fsset.py:2223: UserWarning: device node
created in /tmp
  isys.makeDevInode(self.getDevice(), path)

20:44:01 INFO    : Format command:  ['mke2fs', '/tmp/sda1', '-i', '4096', '-j']

20:44:03 DEBUG   : adding drive sda to disk list
20:44:03 INFO    : lv VolGroup00/LogVol00, attr is -wi-a-
20:44:03 INFO    : lv is VolGroup00/LogVol00, size of 36896
20:44:03 INFO    : lv is VolGroup00/LogVol01, size of 1024
20:44:04 DEBUG   : error reading swap label on /dev/VolGroup00: [Errno 21] Is a
directory
20:44:04 DEBUG   : error reading xfs label on /dev/VolGroup00: [Errno 21] Is a
directory
20:44:04 DEBUG   : error reading jfs label on /dev/VolGroup00: [Errno 21] Is a
directory
20:44:04 DEBUG   : error reading reiserfs label on /dev/VolGroup00: [Errno 21]
Is a directory
20:44:04 INFO    : trying to mount /tmp/sda1 on /boot
20:44:04 INFO    : set SELinux context for mountpoint /boot to False
20:44:04 DEBUG   : isys.py:mount()- going to mount /tmp/sda1 on /mnt/sysimage/boot
20:44:04 INFO    : set SELinux context for newly mounted filesystem root at
/boot to False
20:44:04 INFO    : trying to mount sys on /sys
20:44:04 INFO    : set SELinux context for mountpoint /sys to False
20:44:04 WARNING : /usr/lib/anaconda/isys.py:319: UserWarning: device node
created in /tmp
  makeDevInode (device, devName)

20:44:04 DEBUG   : isys.py:mount()- going to mount sys on /mnt/sysimage/sys
20:44:04 INFO    : set SELinux context for newly mounted filesystem root at /sys
to False
20:44:04 INFO    : trying to mount proc on /proc
20:44:04 INFO    : set SELinux context for mountpoint /proc to False
20:44:04 DEBUG   : isys.py:mount()- going to mount proc on /mnt/sysimage/proc
20:44:04 INFO    : set SELinux context for newly mounted filesystem root at
/proc to False
20:44:05 INFO    : moving (1) to step migratefilesystems
20:44:05 INFO    : moving (1) to step setuptime
12:44:17 INFO    : moving (1) to step preinstallconfig
12:44:17 INFO    : moving (1) to step installpackages
12:44:17 INFO    : Preparing to install packages
12:47:53 WARNING : /usr/lib/anaconda/iw/progress_gui.py:49: GtkWarning:
gtk_progress_set_percentage: assertion `percentage >= 0 && percentage <= 1.0' failed
  self.progress.set_fraction(pct)

12:47:53 INFO    : moving (1) to step postinstallconfig
12:47:53 INFO    : doing post-install fs mangling
12:47:54 INFO    : going to do resize
12:48:21 ERROR   : error running resize2fs; leaving filesystem as is
12:48:21 INFO    : trying to mount /dev/VolGroup00/LogVol00 on /
12:48:21 INFO    : set SELinux context for mountpoint / to False
12:48:21 DEBUG   : isys.py:mount()- going to mount /dev/VolGroup00/LogVol00 on
/mnt/sysimage
12:48:21 INFO    : set SELinux context for newly mounted filesystem root at / to
False
12:48:21 INFO    : trying to mount /tmp/sda1 on /boot
12:48:21 INFO    : set SELinux context for mountpoint /boot to False
12:48:21 DEBUG   : isys.py:mount()- going to mount /tmp/sda1 on /mnt/sysimage/boot
12:48:21 INFO    : set SELinux context for newly mounted filesystem root at
/boot to False
12:48:21 INFO    : trying to mount sys on /sys
12:48:21 INFO    : set SELinux context for mountpoint /sys to False
12:48:21 DEBUG   : isys.py:mount()- going to mount sys on /mnt/sysimage/sys
12:48:21 INFO    : set SELinux context for newly mounted filesystem root at /sys
to False
12:48:21 INFO    : trying to mount proc on /proc
12:48:21 INFO    : set SELinux context for mountpoint /proc to False
12:48:21 DEBUG   : isys.py:mount()- going to mount proc on /mnt/sysimage/proc
12:48:21 INFO    : set SELinux context for newly mounted filesystem root at
/proc to False
12:48:25 ERROR   : could not create directory /mnt/sysimage/dev/mapper: No space
left on device


/tmp/lvmout:
    Finding all logical volumes
Comment 1 Jeremy Katz 2007-12-17 11:53:04 EST
Is this reproducible?
Comment 2 Avelino Rego 2008-02-16 11:13:16 EST
Created attachment 295074 [details]
One more unhandledException :: anaconda None exception report

One more unhandledException :: anaconda None exception report
Comment 3 Chris Lumens 2008-02-16 12:08:13 EST
Avelino - You are seeing a completely different error than the original bug
report, and one which should be fixed in the development tree of anaconda.  If
you are doing an upgrade of a previously existing installation, please make sure
you are passing the reiserfs command line argument.

Closing the original bug report as we have been unable to reproduce this problem.

Note You need to log in before you can comment on or make changes to this bug.